CMSIS-Core (Cortex-A): ISR_Type Struct Reference

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
ISR_Type Struct Reference
Interrupt Status Register (ISR)

Bit field declaration for ISR layout.

## Data Fields

struct {
uint32_t F:1
| bit: 6 FIQ pending bit More...
uint32_t I:1
| bit: 7 IRQ pending bit More...
uint32_t A:1
| bit: 8 External abort pending bit More...
} | b
| Structure used for bit access. More...
uint32_t | w
| Type used for word access. More...

## Field Documentation

uint32_t ISR_Type::A

struct { ... } ISR_Type::b

uint32_t ISR_Type::F

uint32_t ISR_Type::I

uint32_t ISR_Type::w